Package com.logicaldoc.core.document

# Enum Class EmbeddingStatus

java.lang.Object
java.lang.Enum<EmbeddingStatus>
com.logicaldoc.core.document.EmbeddingStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<EmbeddingStatus>`, `Constable`

public enum EmbeddingStatus extends Enum<EmbeddingStatus>
If a document can or cannot be indexed

Since:
  9.2.2
Author:
  Marco Meschieri - LogicalDOC

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EMBEDDED`
`SKIP`
`TO_EMBED`

## Method Summary

Modifier and Type
Method
Description
`static EmbeddingStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EmbeddingStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TO_EMBED

public static final EmbeddingStatus TO_EMBED

### SKIP

public static final EmbeddingStatus SKIP

### EMBEDDED

public static final EmbeddingStatus EMBEDDED

## Method Details

### values

public static EmbeddingStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EmbeddingStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null